Open Lighting Architecture: ola::plugin::milinst::MilInstWidget1463 Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Protected Types | Protected Member Functions | List of all members
ola::plugin::milinst::MilInstWidget1463 Class Reference
Inheritance diagram for ola::plugin::milinst::MilInstWidget1463:

## Public Member Functions
| MilInstWidget1463 (const std::string &path)
bool | Connect ()
bool | DetectDevice ()
bool | SendDmx (const DmxBuffer &buffer) const
std::string | Type ()
Public Member Functions inherited from ola::plugin::milinst::MilInstWidget
| MilInstWidget (const std::string &path)
int | Disconnect ()
ola::io::ConnectedDescriptor * | GetSocket ()
std::string | GetPath ()
std::string | Description ()

## Protected Types
enum | { DMX_MAX_TRANSMIT_CHANNELS = 112 }

## Protected Member Functions
int | SetChannel (unsigned int chan, uint8_t val) const
int | Send112 (const DmxBuffer &buffer) const

## Additional Inherited Members
Static Public Member Functions inherited from ola::plugin::milinst::MilInstWidget
static int | ConnectToWidget (const std::string &path, speed_t speed=B9600)
Protected Attributes inherited from ola::plugin::milinst::MilInstWidget
bool | m_enabled
const std::string | m_path
ola::io::ConnectedDescriptor * | m_socket

## Member Function Documentation

## ◆ Connect()

bool ola::plugin::milinst::MilInstWidget1463::Connect | ( |  | ) |
| virtual

Implements ola::plugin::milinst::MilInstWidget.

## ◆ DetectDevice()

bool ola::plugin::milinst::MilInstWidget1463::DetectDevice | ( |  | ) |
| virtual

Implements ola::plugin::milinst::MilInstWidget.

## ◆ SendDmx()

bool ola::plugin::milinst::MilInstWidget1463::SendDmx | ( | const DmxBuffer & | buffer | ) | const
| virtual

Implements ola::plugin::milinst::MilInstWidget.

## ◆ SetChannel()

int ola::plugin::milinst::MilInstWidget1463::SetChannel | ( | unsigned int | chan,
|  | uint8_t | val ) const
| protectedvirtual

Implements ola::plugin::milinst::MilInstWidget.

## ◆ Type()

std::string ola::plugin::milinst::MilInstWidget1463::Type | ( |  | ) |
| inlinevirtual

Implements ola::plugin::milinst::MilInstWidget.

The documentation for this class was generated from the following files:

- plugins/milinst/MilInstWidget1463.h
- plugins/milinst/MilInstWidget1463.cpp